SCRIPTREPLAY(1)

NOM
scriptreplay - Rejouer un enregistrement fait par script, en utilisant les informations temporelles

SYNOPSIS
scriptreplay [options] [-t] fichier_timing [fichier_script [diviseur]]

DESCRIPTION
Ce programme rejoue un enregistrement fait par script, en utilisant les informations temporelles pour s'assurer qu'il s'exécute au même rythme que lors de l'enregistrement.

L'enregistrement affiche simplement les informations de nouveau, les programmes qui ont été exécutés lors de l'enregistrement ne sont pas exécutés de nouveau. Ainsi, scriptreplay est garanti de fonctionner correctement s'il est utilisé sur le même type de terminal que celui de l'enregistrement. Sinon, tout caractère d'échappement de l'enregistrement pourrait être interprété différemment par le terminal.

Les informations temporelles correspondent à ce que script(1) envoie sur sa sortie d'erreur lorsqu'il est exécuté avec l'option -t.

Par défaut, le fichier à rejouer est nommé typescript, mais un autre fichier peut être précisé à l'aide du deuxième paramètre ou avec l'option -s.

Si le troisième paramètre est indiqué, il est utilisé comme multiplicateur de vitesse. Par exemple, la valeur « 2 » multiplie par 2 la vitesse de scriptreplay, « 0.1 » la divise par 10.

OPTIONS
Les trois premières options écraseront les arguments à l'ancienne.

-t, --timing fichier_timing
    Fichier contenant la sortie temporelle de script.

-s, --typescript fichier_script
    Fichier contenant la sortie de terminal de script.

-d, --divisor diviseur
    Multiplier par diviseur la vitesse d'affichage pour rejouer. L'argument est un nombre à virgule flottante. Il est appelé diviseur car il divise les temps par ce facteur.

-m, --maxdelay nombre
    Définir le délai maximal entre les mises à jour de transcription à nombre secondes. L'argument est un nombre à virgule flottante. Cela permet d’éviter les longues pauses quand la transcription est rejouée.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

EXEMPLE
% script --timing=fichier.tm script.out
Le script a débuté, le fichier est script.out
% ls
<etc.>
% exit
exit
Script terminé, le fichier est script.out
% scriptreplay --timing fichier.tm --typescript script.out

VOIR AUSSI
script(1)

COPYRIGHT
Copyright © 2008 James Youngman
Copyright © 2008 Karel Zak

C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

Diffusé sous licence GNU GPL version 2 ou postérieure.

AUTEUR
Le programme original scriptreplay a été écrit par Joey Hess (joey@kitenet.net). Le programme a été réécrit en C par James Youngman (jay@gnu.org) et Karel Zak (kzak@redhat.com).

DISPONIBILITÉ
La commande scriptreplay fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).